com.jgoodies.common.collect

## Interface ObservableList<E>

- Type Parameters:
    `E` - the type of the list elements
  All Superinterfaces:
    Collection<E>, Iterable<E>, List<E>, ListModel
  All Known Subinterfaces:
    ObservableList2<E>
  All Known Implementing Classes:
    ArrayListModel, LinkedListModel

      public interface ObservableList<E>
      extends List<E>, ListModel

  Combines the `List` and `ListModel` interfaces. Useful to specify a type that operates like a List and is published as a ListModel so it can be bound to user interface components such as `JList`, `JTable` and `JComboBox`.

  The JGoodies Common ships two predefined implementations: `ArrayListModel` and `LinkedListModel`.

  Author:
    Karsten Lentzsch

- - ### Method Summary

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

    - ### Methods inherited from interface javax.swing.ListModel

      `addListDataListener, getElementAt, getSize, removeListDataListener`

Copyright © 2009-2013 JGoodies Software GmbH. All Rights Reserved.